Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class CredentialManagerUser

    java.lang.Object
      oracle.ifs.common.CredentialManagerUser

All Implemented Interfaces:
  java.io.Serializable

    public class CredentialManagerUser

extends java.lang.Object
implements java.io.Serializable

A CredentialManagerUser encapsulates the information that describes a user that exists in the user's CredentialManager.

The data encapsulated by a CredentialManagerUser must be serializable.

See Also:
  Serialized Form
(Published)

Field Summary
`static java.lang.String` | `DISTINGUISHEDNAME_ATTRIBUTE` The name of the attribute which references the Credential manager distinguished name for which this user is associated.
`static java.lang.String` | `EMAILADDRESS_ATTRIBUTE` The name of the attribute which references the email address for which this user is associated.
`static java.lang.String` | `ENABLED_ATTRIBUTE` The name of the attribute which references the indication as to whether this user is enabled, meaning that the user can authenticate with the Credential manager.
`static java.lang.String` | `FIRSTNAME_ATTRIBUTE` The name of the attribute which references the First (given) name for which this user is associated.
`static java.lang.String` | `LANGUAGE_ATTRIBUTE` The name of the attribute which references the preferred language for which this user is associated.
`static java.lang.String` | `LASTNAME_ATTRIBUTE` The name of the attribute which references the Last name (surname) for which this user is associated.
`protected java.util.Hashtable` | `m_Attributes` Table of the attributes known for this user.
`protected LibrarySessionInterface` | `m_Session` Session context.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of the attribute which references the Credential manager Name for which this user is associated.
`static java.lang.String` | `REALM_ATTRIBUTE` The name of the attribute which references the Credential manager realm for which this user is associated.
`static java.lang.String` | `TIMEZONE_ATTRIBUTE` The name of the attribute which references the preferred timezone for which this user is associated.

Constructor Summary
`CredentialManagerUser(LibrarySessionInterface session)` Construct a CredentialManagerUser

Method Summary
`AttributeValue` | `getAttribute(java.lang.String attrKey)` Return an AttributeValue object that holds the value of the requested attribute.
`AttributeValue[]` | `getAttributes()` Return array of all Attribute values that were set for this new instance.
`protected java.lang.Boolean` | `getBooleanAttribute(java.lang.String attrKey)` Return boolean value of an attribute value set with setAttribute.
`java.lang.String` | `getDistinguishedName()` Returns the Credential manager distinguished name for which this user is associated.
`java.lang.String` | `getEmailAddress()` Returns the email address for which this user is associated.
`java.lang.String` | `getFirstName()` Returns the First (given) name for which this user is associated.
`java.lang.String` | `getLanguage()` Returns the preferred language for which this user is associated.
`java.lang.String` | `getLastName()` Returns the Last name (surname) for which this user is associated.
`java.lang.String` | `getName()` Returns the Credential manager Name for which this user is associated.
`java.lang.String` | `getRealm()` Returns the Credential manager realm for which this user is associated.
`LibrarySessionInterface` | `getSession()` Get the session used in constructing this instance.
`protected java.lang.String` | `getStringAttribute(java.lang.String attrKey)` Return String value of an attribute value set with setAttribute.
`java.lang.String` | `getTimezone()` Returns the preferred timezone for which this user is associated.
`boolean` | `isEnabled()` Returns the indication as to whether this user is enabled, meaning that the user can authenticate with the Credential manager.
`void` | `removeAttribute(java.lang.String attrKey)` Removes an attribute setting for the new instance.
`void` | `setAttribute(AttributeValue value)` Set an attribute for the new instance.
`void` | `setAttribute(java.lang.String attrKey, AttributeValue value)` Set an attribute for the new instance.
`void` | `setAttributes(AttributeValue[] values)` Set a number of attributes for the new instance.
`void` | `setDistinguishedName(java.lang.String value)` Sets the Credential manager distinguished name for which this user is associated.
`void` | `setEmailAddress(java.lang.String value)` Sets the email address for which this user is associated.
`void` | `setEnabled(boolean value)` Sets the indication as to whether this user is enabled, meaning that the user can authenticate with the Credential manager.
`void` | `setFirstName(java.lang.String value)` Sets the First (given) name for which this user is associated.
`void` | `setLanguage(java.lang.String value)` Sets the preferred language for which this user is associated.
`void` | `setLastName(java.lang.String value)` Sets the Last name (surname) for which this user is associated.
`void` | `setName(java.lang.String value)` Sets the Credential manager Name for which this user is associated.
`void` | `setRealm(java.lang.String value)` Sets the Credential manager realm for which this user is associated.
`void` | `setSession(LibrarySessionInterface session)` Set or reset the session used in constructing this instance.
`void` | `setTimezone(java.lang.String value)` Sets the preferred timezone for which this user is associated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the Credential manager Name for which this user is associated.

  See Also:
    Constant Field Values
  (Published)

### DISTINGUISHEDNAME_ATTRIBUTE

    public static final java.lang.String DISTINGUISHEDNAME_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the Credential manager distinguished name for which this user is associated.

  See Also:
    Constant Field Values
  (Published)

### REALM_ATTRIBUTE

    public static final java.lang.String REALM_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the Credential manager realm for which this user is associated.

  See Also:
    Constant Field Values
  (Published)

### FIRSTNAME_ATTRIBUTE

    public static final java.lang.String FIRSTNAME_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the First (given) name for which this user is associated.

  See Also:
    Constant Field Values
  (Published)

### LASTNAME_ATTRIBUTE

    public static final java.lang.String LASTNAME_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the Last name (surname) for which this user is associated.

  See Also:
    Constant Field Values
  (Published)

### EMAILADDRESS_ATTRIBUTE

    public static final java.lang.String EMAILADDRESS_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the email address for which this user is associated.

  See Also:
    Constant Field Values
  (Published)

### LANGUAGE_ATTRIBUTE

    public static final java.lang.String LANGUAGE_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the preferred language for which this user is associated.

  See Also:
    Constant Field Values
  (Published)

### TIMEZONE_ATTRIBUTE

    public static final java.lang.String TIMEZONE_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the preferred timezone for which this user is associated.

  See Also:
    Constant Field Values
  (Published)

### ENABLED_ATTRIBUTE

    public static final java.lang.String ENABLED_ATTRIBUTE

  Description copied from class: `CredentialManagerUser`
  The name of the attribute which references the indication as to whether this user is enabled, meaning that the user can authenticate with the Credential manager.

  See Also:
    Constant Field Values
  (Published)

### m_Attributes

    protected java.util.Hashtable m_Attributes

  Description copied from class: `CredentialManagerUser`
  Table of the attributes known for this user.

  (Unpublished)

### m_Session

    protected transient LibrarySessionInterface m_Session

  Description copied from class: `CredentialManagerUser`
  Session context.

  (Unpublished)

Constructor Detail

### CredentialManagerUser

    public CredentialManagerUser(LibrarySessionInterface session)
                          throws IfsException

  Construct a CredentialManagerUser

  Parameters:
    `session` - the session context
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### getName

    public java.lang.String getName()
                             throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the Credential manager Name for which this user is associated.

  Returns:
    the Name for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### getDistinguishedName

    public java.lang.String getDistinguishedName()
                                          throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the Credential manager distinguished name for which this user is associated.

  Returns:
    the distinguished name for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### getRealm

    public java.lang.String getRealm()
                              throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the Credential manager realm for which this user is associated.

  Returns:
    the realm for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### getFirstName

    public java.lang.String getFirstName()
                                  throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the First (given) name for which this user is associated.

  Returns:
    the first name for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### getLastName

    public java.lang.String getLastName()
                                 throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the Last name (surname) for which this user is associated.

  Returns:
    the last name for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### getEmailAddress

    public java.lang.String getEmailAddress()
                                     throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the email address for which this user is associated.

  Returns:
    the email address for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### getLanguage

    public java.lang.String getLanguage()
                                 throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the preferred language for which this user is associated.

  Returns:
    the preferred language for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### getTimezone

    public java.lang.String getTimezone()
                                 throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the preferred timezone for which this user is associated.

  Returns:
    the preferred timezone for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### isEnabled

    public boolean isEnabled()
                      throws IfsException

  Description copied from class: `CredentialManagerUser`
  Returns the indication as to whether this user is enabled, meaning that the user can authenticate with the Credential manager.

  Returns:
    indication of this user being enabled
  Throws:
    `IfsException` - other: if the operation fails.

### setName

    public void setName(java.lang.String value)
                 throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the Credential manager Name for which this user is associated.

  Parameters:
    `value` - the Name for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### setDistinguishedName

    public void setDistinguishedName(java.lang.String value)
                              throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the Credential manager distinguished name for which this user is associated.

  Parameters:
    `value` - the distinguished name for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### setRealm

    public void setRealm(java.lang.String value)
                  throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the Credential manager realm for which this user is associated.

  Parameters:
    `value` - the realm for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### setFirstName

    public void setFirstName(java.lang.String value)
                      throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the First (given) name for which this user is associated.

  Parameters:
    `value` - the first name for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### setLastName

    public void setLastName(java.lang.String value)
                     throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the Last name (surname) for which this user is associated.

  Parameters:
    `value` - the last name for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### setEmailAddress

    public void setEmailAddress(java.lang.String value)
                         throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the email address for which this user is associated.

  Parameters:
    `value` - the email address for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### setLanguage

    public void setLanguage(java.lang.String value)
                     throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the preferred language for which this user is associated.

  Parameters:
    `value` - the preferred language for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### setTimezone

    public void setTimezone(java.lang.String value)
                     throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the preferred timezone for which this user is associated.

  Parameters:
    `value` - the preferred timezone for this user.
  Throws:
    `IfsException` - other: if the operation fails.

### setEnabled

    public void setEnabled(boolean value)
                    throws IfsException

  Description copied from class: `CredentialManagerUser`
  Sets the indication as to whether this user is enabled, meaning that the user can authenticate with the Credential manager.

  Parameters:
    `value` - indication of this user being enabled
  Throws:
    `IfsException` - other: if the operation fails.

### getSession

    public LibrarySessionInterface getSession()

  Description copied from class: `CredentialManagerUser`
  Get the session used in constructing this instance.

  Returns:
    the session associated with this instance
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setSession

    public void setSession(LibrarySessionInterface session)
                    throws IfsException

  Description copied from class: `CredentialManagerUser`
  Set or reset the session used in constructing this instance. This is only used in two circumstances:
  - This instance was originally constructed with a null session, and now a session context is known
  - The session context used at construction time needs to be switched to a different session context, typically to switch the context from a server-side to a bean-side context, or vice versa.

  Parameters:
    `session` - the new session context
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setAttribute

    public void setAttribute(java.lang.String attrKey,
                             AttributeValue value)
                      throws IfsException

  Description copied from class: `CredentialManagerUser`
  Set an attribute for the new instance.

  Each invocation of this method results in another attribute setting being added to an internal map.

  Parameters:
    `attrKey` - the attribute key
    `value` - the attribute value.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setAttribute

    public void setAttribute(AttributeValue value)
                      throws IfsException

  Description copied from class: `CredentialManagerUser`
  Set an attribute for the new instance. Each invocation of this method results in another attribute setting being added to an internal map.

  Parameters:
    `value` - the attribute value.
  Throws:
    `IfsException` - 10415: if name not specified in the value
    `IfsException` - other: if the operation fails
  (Unpublished)

### setAttributes

    public void setAttributes(AttributeValue[] values)
                       throws IfsException

  Description copied from class: `CredentialManagerUser`
  Set a number of attributes for the new instance. The names of the attributes must be contained in each attribute value.

  Parameters:
    `values` - the attribute values.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAttribute

    public AttributeValue getAttribute(java.lang.String attrKey)
                                throws IfsException

  Description copied from class: `CredentialManagerUser`
  Return an AttributeValue object that holds the value of the requested attribute.

  Parameters:
    `attrKey` - the name of the AttributeValue to be returned
  Returns:
    the corresponding AttributeValue
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAttributes

    public AttributeValue[] getAttributes()
                                   throws IfsException

  Description copied from class: `CredentialManagerUser`
  Return array of all Attribute values that were set for this new instance. The name of the attribute is set in the returned AttributeValues. The returned AttributeValue names are locked.

  Returns:
    AttributeValue array of the currently set attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getStringAttribute

    protected java.lang.String getStringAttribute(java.lang.String attrKey)

  Description copied from class: `CredentialManagerUser`
  Return String value of an attribute value set with setAttribute. Return null if the specified attribute name was not specified.

  Parameters:
    `attrKey` - the name of the Attribute
  Returns:
    the corresponding String value
  (Unpublished)

### getBooleanAttribute

    protected java.lang.Boolean getBooleanAttribute(java.lang.String attrKey)

  Description copied from class: `CredentialManagerUser`
  Return boolean value of an attribute value set with setAttribute. Return false if the specified attribute name was not specified or is not convertible to a boolean.

  Parameters:
    `attrKey` - the name of the Attribute
  Returns:
    the corresponding boolean value
  (Unpublished)

### removeAttribute

    public void removeAttribute(java.lang.String attrKey)
                         throws IfsException

  Description copied from class: `CredentialManagerUser`
  Removes an attribute setting for the new instance.

  Parameters:
    `attrKey` - The name of the Attribute to be removed.
  Throws:
    `IfsException` - if operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD